org.apache.ignite.internal.processors.cache

## Class IgniteCacheFutureImpl<V>

- java.lang.Object
- - org.apache.ignite.internal.util.future.IgniteFutureImpl<V>
  - - org.apache.ignite.internal.processors.cache.IgniteCacheFutureImpl<V>

All Implemented Interfaces:
  IgniteFuture<V>

    public class IgniteCacheFutureImpl<V>
    extends IgniteFutureImpl<V>

Implementation of public API future for cache.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.future.IgniteFutureImpl

`fut`

### Constructor Summary

Constructors
Constructor and Description
`IgniteCacheFutureImpl(IgniteInternalFuture<V> fut)` Constructor.

### Method Summary

Methods
`<T> IgniteFuture<T>` `chain(IgniteClosure<? super IgniteFuture<V>,T> doneCb)` Make a chained future to convert result of this future (when complete) into a new format.
`protected RuntimeException` `convertException(IgniteCheckedException e)` Convert internal exception to public exception.

### Methods inherited from class org.apache.ignite.internal.util.future.IgniteFutureImpl

`cancel, chainInternal, duration, get, get, get, internalFuture, isCancelled, isDone, listen, startTime, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteCacheFutureImpl

    public IgniteCacheFutureImpl(IgniteInternalFuture<V> fut)

Constructor.

Parameters:
  `fut` - Internal future.

### Method Detail

#### chain

    public <T> IgniteFuture<T> chain(IgniteClosure<? super IgniteFuture<V>,T> doneCb)

Make a chained future to convert result of this future (when complete) into a new format. It is guaranteed that done callback will be called only ONCE.

Specified by:
  `chain` in interface `IgniteFuture<V>`
Overrides:
  `chain` in class `IgniteFutureImpl<V>`
Parameters:
  `doneCb` - Done callback that is applied to this future when it finishes to produce chained future result.
Returns:
  Chained future that finishes after this future completes and done callback is called.

#### convertException

    protected RuntimeException convertException(IgniteCheckedException e)

Convert internal exception to public exception.

Overrides:
  `convertException` in class `IgniteFutureImpl<V>`
Parameters:
  `e` - Internal exception.
Returns:
  Public excpetion.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015